#### NETWORKS
networks:
  docker-traefik_front_network:
    external: true
  back_network:
    driver: bridge
    attachable: true

#### SERVICES
services:
### vaultwarden
  vaultwarden:
    container_name: vaultwarden-app
    hostname: vaultwarden-app
    image: vaultwarden/server:latest
    volumes:
    - ./vaultwarden:/data/'
    environment:
    - TZ=Europe/Paris
    - SIGNUPS_ALLOWED=true
    - ADMIN_TOKEN=ChoisissezUnMotDePassFort
    ports:
    - '80:80'
    networks:
    - docker-traefik_front_network
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=docker-traefik_front_network"
## HTTP
      - "traefik.http.routers.vaultwarden-http.rule=Host(`vaultwarden.10.0.4.29.traefik.me`)"
      - "traefik.http.routers.vaultwarden-http.entrypoints=http"
## HTTPS
      - "traefik.http.routers.vaultwarden-https.rule=Host(`vaultwarden.10.0.4.29.traefik.me`)"
      - "traefik.http.routers.vaultwarden-https.entrypoints=https"
      - "traefik.http.routers.vaultwarden-https.tls=true"
      - "traefik.http.routers.vaultwarden.service=vaultwarden-service"
## Middleware
## Service
      - "traefik.http.services.vaultwarden-service.loadbalancer.server.port=3000"
